import java.io.File
import java.sql.*
import java.util.*
import java.text.SimpleDateFormat
import java.math.BigDecimal
import com.prodinf.utile.Utils
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStreamReader;

boolean ok = false
BufferedReader br = null;
int BUFFER = 2048;
File fisSrc = null;

try {
  try{
    fisSrc = new File(context.getCurentFolder().getAbsolutePath() + File.separator + "Coresp_COR_V8_V9.txt")
  } catch(Exception e){
    return; // nu exista fisierul
  }

  def SQL_INS = 'INSERT INTO TOTAL.CORESP_COR (ID, COD_VECHI, VERS_VECHE, COD_NOU, VERS_NOUA) VALUES (?,?,?,?,?)'
  def SQL_SRC = "SELECT * FROM TOTAL.CORESP_COR WHERE COD_VECHI = ? AND VERS_VECHE = ? AND COD_NOU = ? AND VERS_NOUA = ? "
  br = new BufferedReader(new InputStreamReader(new FileInputStream(fisSrc), "UTF-8"));
  String line = "";
  while ((line = br.readLine()) != null) {
    StringTokenizer st = new StringTokenizer(line, ";")
    def cod_vechi = st.nextToken()
    def vers_veche = new BigDecimal(8)
    def cod_nou = st.nextToken()
    def vers_noua = new BigDecimal(9)
    def r = sql.firstRow(SQL_SRC, [cod_vechi, vers_veche, cod_nou, vers_noua])
    if(r == null){
      def id = context.genereateID("TOTAL","CORESP_COR")
      sql.execute(SQL_INS, [id, cod_vechi, vers_veche, cod_nou, vers_noua])
    }
  }
  ok = true
} catch(Exception e){
	//log.error("######### ERR ", e);
} finally {
  if(br != null){
    br.close()
  }
  try{
    if(ok){
      connection.commit()
    }
    connection.rollback()
  } catch(Exception e){
  }
}

